Summary: A graphical user interface for network management.
Name: cheops
Version: 0.60pre5 
Release: 14
Copyright: GPL
Group: Applications/Internet
Source0: ftp://ftp.marko.net/pub/cheops/%{name}-%{version}.tar.gz
Source1: cheops.wmconfig
Patch0: cheops-0.60pre5-decl.patch
Patch1: in_addr_t.patch
Patch2: Makefile.patch
Url: http://www.marko.net/cheops/
BuildRoot: /var/tmp/%{name}-root
Excludearch: ia64

%description
Cheops provides a simple interface for seeing and accessing network
resources.  Cheops is written using GTK+ and uses ping, traceroute,
halfscan and QueSO to provide information to network managers.

%prep
%setup -q
%patch0 -p1 -b .decl
%patch1 -p1 -b .fixredef
%patch2 -p1 -b .fixroot

%build
%configure --disable-snmp --enable-gnome
make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Utilities
cat > $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Utilities/cheops.desktop <<EOF
[Desktop Entry]
Name=cheops
Type=Application
Description=cheops
Exec=cheops
EOF


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(0755,root,root)
%doc COPYING README Changelog
%{_bindir}/cheops
%{_datadir}/cheops/
%{_libdir}/cheops
%{_datadir}/gnome/apps/Utilities/cheops.desktop

%changelog
* Wed Jan 31 2001 Tim Powers <timp@redhat.com>
- rebiult without snmp support. Temporarily fixes build issues.

* Wed Jan 10 2001 Tim Powers <timp@redhat.com>
- excludearch ia64

* Wed Nov  8 2000 Tim Powers <timp@redhat.com>
- patched not to redefine in_addr_t
- patched so that we can use %%configure and %%makeinstall
- using predefined RPM macros for RPM >= 4.0

* Fri Aug 4 2000 Tim Powers <timp@redhat.com>
- fix bad dir permissions, fix bug #15020
- what happened with the release number making it 69??? It isn't 69, it's 11

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- patch to not fail on missing DNS types

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 8 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- use applnk inkstead of wmconfig

* Wed Jan 5 2000 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Thu Aug 17 1999 Dale Lovelace <dale@redhat.com>
- added cheops.wmconfig

* Sat Jul 10 1999 Tim Powers <timp@redhat.com>
- update to 60pre5
- built for 6.1

* Mon Dec 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.58

* Fri Dec 12 1998 Mark A. Spencer <markster@marko.net>
- Update to new cheops with plugin support

* Wed Dec 9 1998 Mark A. Spencer <markster@marko.net>
- Remove setuid permissions from cheops

* Tue Dec 8 1998 Michael Maher <mike@redhat.com>
- rebuilt rpm for powertools.  this was a great RPM.

* Mon Dec 7 1998 Charles Duffy <cduffy@bigfoot.com>
- Recompile against fixed GTK

* Mon Dec 7 1998 Mark A. Spencer <markster@marko.net>
- Fix permissions problems and incorporate RPM fixes from Tom <x@4t2.com>

* Sun Dec 6 1998 Mark A. Spencer <markster@marko.net>
- Initial Release.
